Subject: Re: [PATCH 2/4] Improve cached content header of status output

From: Andy Whitcroft <[email-masked]>
Date: Mon, 08 Jan 2007 13:28:41 +0000

Junio C Hamano wrote:
> Juergen Ruehle <[email-masked]> writes:
> 
>> Andy Whitcroft writes:
>>  > Junio C Hamano wrote:
>>  > > 
>>  > > Somebody did not like the verb "stage"; perhaps we can say:
>>  > > 
>>  > > 	# You have added changes to these files to be committed:
>>  > > 	...
>>  > 
>>  > # These files have changes and are marked for commit:
>>  > 
>>  > >         # There are yet to be added changes to these files:
>>  > 
>>  > # These files have changes but are not marked for commit:
>>
>> Does this better reflect that git tracks content and not files?
>>
>> # Changes to these files will be committed:
>>
>> # Changes to these files are not marked for commit:
> 
> One of the goals is to find a pair of messages that make sense
> when the same file appears on both lists.

Doh, double changes ... yes.

I am not sure it is possible to sanely textualise that subtlety in a
single line.  I wonder if its worth splitting this lot into three.
Basically those files on list one, those on list two and those on both.

Anyhow, lets see if we can textualise:

# Changes to these files will be committed:

# The latest changes to these files will not be committed:

The first here still implies its the latest changes.  I can not
trivially word round that.  Perhaps we could mention staging?

# Staged changes for these files will be commited:

# These files have unstaged changes which will not be committed:

>> BTW: how about also adding a hint how to review the changes in
>> question (i.e. diff --cached and diff; as an alternative to diff
>> --cached we could just advertise the --verbose switch to status and
>> commit).
> 
> Sounds sane.

-apw